import java.io.IOException;
import java.util.StringTokenizer;

import org.apache.hadoop.io.IntWritable;
import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapred.MapReduceBase;
import org.apache.hadoop.mapred.Mapper;
import org.apache.hadoop.mapred.OutputCollector;
import org.apache.hadoop.mapred.Reporter;
import DotNetMapReducer.DotNetMapReducer;
import com.jnbridge.jnbcore.Callbacks;

public class MapperWrapper extends MapReduceBase
implements Mapper<LongWritable, Text, Text, IntWritable> {

	private static MapReducerHelper mrh = new MapReducerHelper();
	
	private DotNetMapReducer dnmr = new DotNetMapReducer();
	
	public void map(LongWritable key, Text value, 
	                OutputCollector<Text, IntWritable> output, 
	                Reporter reporter) throws IOException {
		
	  OutputCollectorHandler och = new OutputCollectorHandler(output);
	  
	  dnmr.map(value.toString(), och);
	  
	  Callbacks.releaseCallback(och);
	}
}
